fixes #1237 atomic library check is backwards
fixes #1236 Deadlock triggered on nng_close
fixes #1236 Deadlock triggered on nng_close
fixes #1219 nng_close occasionally hang on Windows
fixes #1236 Deadlock triggered on nng_close
fixes #1219 nng_close occasionally hang on Windows
